======================================================================    
                        Release Notes for the 
               Intel(R) Embedded Graphics Driver for Linux*    
                 Version 6.0 Beta Release, Aug 2006 
======================================================================    
    
Contents    
========    
    
- New Features 
- System Requirements    
- In This Release    
- Source included in this release    
- Installation    
- OpenGL* (Description and Installation) 
- Patch Information    
- Software Errata    
- Software Licenses    
- Legal / Disclaimers    
    
    
New Features 
============ 
 
The Intel(R) Embedded Graphics Driver 6.0 release contains the following new features 
and capabilities:

    - Added support for Q965 chipset with "Gen4" graphics capability (2D only)


OS Support Changes:

    - DSL (Damn Small Linux) support
 
This release also contains fixes for errata. For details on Windows errata, 
including status and priority information, refer to the Errata document 
located at the following website:

	www.intel.com/design/intarch/specupdt/309380.htm
 
 

 
 
System Requirements    
====================    
    
This package includes drivers built for the following X servers: 
 
	XFree86 version 4.2.0 & 4.3.0 
	X.org version 6.7 & 6.8 
 
Note the driver requires the official versions from www.Xfree86.org 
or www.X.org, and may not necessarily operate with versions that are 
part of your Linux distribution.    
    
Target system must contain one of the following Intel Chipsets:    
    
       Intel(R) Q965 Chipset 
       Intel(R) 945G Chipset 
       Intel(R) 945GM Chipset 
       Intel(R) 915GM Chipset 
       Intel(R) 915GV Chipset 
       Intel(R) 855GME Chipset 
       Intel(R) 852GM Chipset 
       Intel(R) 852GME Chipset 
       Intel(R) 845GV Chipset 
       Intel(R) 815 Chipset 
       Intel(R) 815E Chipset 
    
Please check with your system provider to determine Intel Chipset     
used in your system.    
    
The drivers provided by this package have been tested using the following     
firmware version:    
    
        AMI BIOS version:          08.00.09    
        AMI BIOS build date:       05/21/2003    
        AMI BIOS ID:               HLFDB022    
    
The system should contain a minimum of 128MB of RAM.    
    
The Linux kernel agpgart must support the supported Intel chipsets (see    
below for more information).    
    
    
In This Release (Bill of Materials)    
===================================    
    
This package contains an XFree86 loadable module device driver for the     
Intel(R) chipsets listed above.    
    
The following files are contained in the IEGD_6_0_Linux directory: 
 
Documents/RELNOTES.txt                     Release notes 
Documents/UsersGuide.pdf                   IEGD User's Guide 
Documents/Xfree86/intel.4                  Man page for display driver - Xfree86
Documents/Xfree86/IntelEscape.3x           Intel(R) Escape man page - Xfree86
Documents/Xorg-X11/intel.4                 Man page for display driver - X.org
Documents/Xorg-X11/IntelEscape.3x          Intel(R) Escape man page - X.org
License/License.txt                        License file for display driver 
Driver/XFree86-4.2/intel_drv.o             Intel(R) Embedded Graphics Driver binary 
Driver/XFree86-4.2/libXiegd_escape.a       Intel(R) Escape client library
Driver/XFree86-4.2/libXiegd_escape.so.1.0  Intel(R) Escape client shared library 
Driver/XFree86-4.2/intel_escape.h          Intel(R) Escape client include 
Driver/XFree86-4.2/ch7009.so               Chrontel* 7009/7301 TVout/DVI encoder 
Driver/XFree86-4.2/ch7017.so               Chrontel 7017/7019/7304/7305 TVout/LVDS  
                                           encoder 
Driver/XFree86-4.2/fs454.so                Focus* 453/454 TVout encoder 
Driver/XFree86-4.2/lvds.so                 GMCH Internal LVDS controller 
Driver/XFree86-4.2/tv.so                   GMCH Internal TV controller 
Driver/XFree86-4.2/ns2501.so               National Semiconductor* 2501 LVDS  
                                           controller 
Driver/XFree86-4.2/ns387.so                National Semiconductor 387R LVDS  
                                           controller 
Driver/XFree86-4.2/sii164.so               Silicon Image* 164 DVI encoder 
Driver/XFree86-4.2/ti410.so                Texas Instruments* TFP410 DVI encoder 
Driver/XFree86-4.2/th164.so                Thine* 164 DVI encoder 
Driver/XFree86-4.2/sdvo.so                 Serial DVO Devices 
Driver/XFree86-4.2/softpd.so               VCH Devices 
 
Driver/XFree86-4.3/intel_drv.o             Intel(R) Embedded Graphics Driver binary 
Driver/XFree86-4.3/libXiegd_escape.a       Intel(R) Escape client library. 
Driver/XFree86-4.3/libXiegd_escape.so.1.0  Intel(R) Escape client shared library 
Driver/XFree86-4.3/intel_escape.h          Intel(R) Escape client include 
Driver/XFree86-4.3/ch7009.so               Chrontel 7009/7301 TVout/DVI encoder 
Driver/XFree86-4.3/ch7017.so               Chrontel 7017/7019/7304/7305 TVout/LVDS  
                                           encoder 
Driver/XFree86-4.3/fs454.so                Focus 453/454 TVout encoder 
Driver/XFree86-4.3/lvds.so                 GMCH Internal LVDS controller 
Driver/XFree86-4.3/tv.so                   GMCH Internal TV controller 
Driver/XFree86-4.3/ns2501.so               National Semiconductor 2501 LVDS  
                                           controller 
Driver/XFree86-4.3/ns387.so                National Semiconductor 387R LVDS  
                                           controller 
Driver/XFree86-4.3/sii164.so               Silicon Image 164 DVI encoder 
Driver/XFree86-4.3/ti410.so                Texas Instruments TFP410 DVI encoder 
Driver/XFree86-4.3/th164.so                Thine 164 DVI encoder 
Driver/XFree86-4.3/sdvo.so                 Serial DVO Devices 
Driver/XFree86-4.3/softpd.so               VCH Devices 
 
Driver/Xorg-X11R6.7/intel_drv.o            Intel(R) Embedded Graphics Driver binary 
Driver/Xorg-X11R6.7/libXiegd_escape.a      Intel(R) Escape client library. 
Driver/Xorg-X11R6.7/libXiegd_escape.so.1.0 Intel(R) Escape client shared  
                                           library  
Driver/Xorg-X11R6.7/intel_escape.h         Intel(R) Escape client include 
Driver/Xorg-X11R6.7/ch7009.so              Chrontel 7009/7301 TVout/DVI encoder 
Driver/Xorg-X11R6.7/ch7017.so              Chrontel 7017/7019/7304/7305 TVout/LVDS  
                                           encoder 
Driver/Xorg-X11R6.7/fs454.so               Focus* 453/454 TVout encoder 
Driver/Xorg-X11R6.7/lvds.so                GMCH Internal LVDS controller 
Driver/Xorg-X11R6.7/tv.so                  GMCH Internal TV controller 
Driver/Xorg-X11R6.7/ns2501.so              National Semiconductor 2501 LVDS  
                                           controller 
Driver/Xorg-X11R6.7/ns387.so               National Semiconductor 387R LVDS 
                                           controller 
Driver/Xorg-X11R6.7/sii164.so              Silicon Image 164 DVI encoder 
Driver/Xorg-X11R6.7/ti410.so               Texas Instruments TFP410 DVI encoder 
Driver/Xorg-X11R6.7/th164.so               Thine 164 DVI encoder 
Driver/Xorg-X11R6.7/sdvo.so                Serial DVO Devices 
Driver/Xorg-X11R6.7/softpd.so              VCH Devices 
 
Driver/Xorg-X11R6.8                        Xorg-X11R6.8 binaries 
Driver/Xorg-X11R6.8/libGL.so               OpenGL binary 
Driver/Xorg-X11R6.8/intel_drv.o            Intel(R) Embedded Graphics Driver  
binary 
Driver/Xorg-X11R6.8/libXiegd_escape.a      Intel(R) Escape client library. 
Driver/Xorg-X11R6.8/libXiegd_escape.so.1.0 Intel(R) Escape client shared  
                                           library  
Driver/Xorg-X11R6.8/intel_escape.h         Intel(R) Escape client include 
Driver/Xorg-X11R6.8/ch7009.so              Chrontel 7009/7301 TVout/DVI encoder 
Driver/Xorg-X11R6.8/ch7017.so              Chrontel 7017/7019/7304/7305  
TVout/LVDS  
                                           encoder 
Driver/Xorg-X11R6.8/fs454.so               Focus* 453/454 TVout encoder 
Driver/Xorg-X11R6.8/lvds.so                GMCH Internal LVDS controller 
Driver/Xorg-X11R6.8/tv.so                  GMCH Internal TV controller 
Driver/Xorg-X11R6.8/ns2501.so              National Semiconductor 2501 LVDS  
                                           controller 
Driver/Xorg-X11R6.8/ns387.so               National Semiconductor 387R LVDS 
                                           controller 
Driver/Xorg-X11R6.8/sii164.so              Silicon Image 164 DVI encoder 
Driver/Xorg-X11R6.8/ti410.so               Texas Instruments TFP410 DVI encoder 
Driver/Xorg-X11R6.8/th164.so               Thine 164 DVI encoder 
Driver/Xorg-X11R6.8/sdvo.so                Serial DVO Devices 
Driver/Xorg-X11R6.8/softpd.so              VCH Devices 

Utilities/gui_lib_setup_linux.txt          Instructions for GUI setup 
Utilities/IEGDGUI                          Display modes GUI utility 
Utilities/pcf2iegd                         Utility for conversion of PCF files 
 
The following files are contained in the IEGD_Patches/Driver directory: 
 
agpgart.patch-2.4.20          Patch for 2.4.20 kernel 
agpgart.patch-2.4.20-8        Patch for Red Hat* 2.4.20-8 kernel 
agpgart.patch-2.4.24          Patch for 2.4.24 kernel 
agpgart.patch-2.6.5-1.358     Patch for Fedora* 2.6.5-1.358 kernel 
agpgart.patch-2.6.5-7.191     Patch for SuSE 2.6.5-7.191 kernel 
agpgart.patch-2.6.13-15       Patch for SuSE 2.6.13-15 kernel
COPYING                       GPL license agreement for patches 
 
 
Source included in this release    
===============================    
    
None.    
    
    
Installation 
============ 
 
1) Copy the driver binary (intel_drv.o) to the X server's modules/driver 
   directory. The default installation location is 
   /usr/X11R6/lib/modules/drivers. This location can vary so check 
   your system for the proper path. 
 
2) Copy the necessary port driver files (*.so files) into X server's modules  
   directory. The default installation location is /usr/X11R6/lib/modules. 
   This location can vary so check your system for the proper path.  
   Once copying the required port drivers, specify them in "PortDrivers"  
   option in the Device section of config file. For more information, 
   look for option "PortDrivers" in the man page. 
 
3) Copy the driver man page to the X server's man/man4 directory.  The default 
   installation location is /usr/X11R6/man/man4.  This location can vary so 
   check your system for the proper path. 
 
4) Modify your X server config file to include a device section for this driver. 
   See the man page for details on the configuration options and example 
   usage. 
 
   The default location for the config file is /etc/X11 
 
5) Copy the port control client libraries libXportctl.a and libXportctl.so.1.0 
   to the X server's library directory. Create symbolic links for additional 
   names: 
      ln -s libXportctl.so.1.0 libXportctl.so 
      ln -s libXportctl.so.1.0 libXportctl.so.1 
 
   The default installation location is /usr/X11R6/lib.  This location can 
   vary so check your system for the proper path. 
 
6) Copy the port control include file to the X server's include/extensions 
   directory.  The default installation location is /usr/X11R6/include/X11. 
   This location can vary so check your system for the proper path. 
 
7) Copy the port control man page to the X server's man/man3 directory. Create 
   hard links for each of the port control functions using the following: 
 
      ln IntelPortCtl.3x IntelPortCtlQueryExtension.3x 
      ln IntelPortCtl.3x IntelPortCtlQueryVersion.3x 
      ln IntelPortCtl.3x IntelPortCtlPortControl.3x 
      ln IntelPortCtl.3x IntelPortCtlGetPortAttributes.3x 
      ln IntelPortCtl.3x IntelPortCtlSetPortAttributes.3x 
      ln IntelPortCtl.3x IntelPortCtlReadPortAttributes.3x 
      ln IntelPortCtl.3x IntelPortCtlWritePortAttributes.3x 
      ln IntelPortCtl.3x IntelPortCtlQueryPorts.3x 
      ln IntelPortCtl.3x IntelPortCtlGetPortMode.3x 
      ln IntelPortCtl.3x IntelPortCtlGetPortModes.3x 
      ln IntelPortCtl.3x IntelPortCtlSetPortMode.3x 
      ln IntelPortCtl.3x IntelPortCtlSetPortModes.3x 
      ln IntelPortCtl.3x IntelPortCtlAllocPort.3x 
      ln IntelPortCtl.3x IntelPortCtlQueryPort.3x 
 
   The default installation location is /usr/X11R6/man/man3.  This location can  
   vary so check your system for the proper path. 
 
8) Copy the driver control client libraries libXiegdctl.a and  
   libXiegdctl.so.1.0 to the X server's library directory. Create symbolic  
   links for additional names: 
      ln -s libXiegdctl.so.1.0 libXiegdctl.so 
      ln -s libXiegdctl.so.1.0 libXiegdctl.so.1 
 
   The default installation location is /usr/X11R6/lib.  This location can 
   vary so check your system for the proper path. 
 
9) Copy the escape client libraries libXiegd_escape.a and  
   libXiegd_escape.so.1.0 to the X server's library directory.    
   Create symbolic links for additional names: 
        ln -s libXiegd_escape.so.1.0 libXiegd_escape.so 
        ln -s libXiegd_escape.so.1.0 libXiegd_escape.so.1 
 
   The default installation location is /usr/X11R6/lib.  This location 
   can vary, so check your system for the proper path. 
 
 
10) Copy the driver control include file to the X server's include/extensions 
   directory.  The default installation location is /usr/X11R6/include/X11. 
   This location can vary so check your system for the proper path. 
 
11) Copy the driver control man page to the X server's man/man3 directory.  
    Create hard links for each of the port control functions using the  
    following: 
 
      ln IntelDriverCtl.3x IntelDriverCtlQueryExtension.3x 
      ln IntelDriverCtl.3x IntelDriverCtlQueryVersion.3x 
      ln IntelDriverCtl.3x IntelDriverCtlPortControl.3x 
      ln IntelDriverCtl.3x IntelDriverCtlGetDriverInfo.3x 
 
   The default installation location is /usr/X11R6/man/man3.  This location can  
   vary so check your system for the proper path. 
 
OpenGL*  
======== 
 
Description: 
------------
 
The OpenGL implementation for IEGD consists of three components. 
 
    libGL.so: This is the shared library that implements the OpenGL and 
	      GLX APIs. It is linked by all OpenGL applications. 
 
    intel.ko: This is the Direct Rendering Manager (DRM). It is a kernel 
	      module that provides the OpenGL application with the 
	      permissions necessary to directly access the DMA buffers 
	      used by libGL. 
 
    X Server: The existing IEGD X server driver has been enhanced to 
	      communicate with libGL. 
 
Installing the IEGD OpenGL driver provides a fully hardware accelerated 
implementation of the OpenGL library to applications. This implementation 
makes use of a Direct Rendering technology, which allows the client to 
directly write to DMA buffers that are used by the Graphics Hardware. 
 
Due to the use of direct rendering technology, system designers should 
take special care to ensure that only trusted clients are allowed to use 
the OpenGL library. A malicious application could otherwise use direct 
rendering to destabilized the graphics hardware or, in theory, elevate 
their permissions on the system. 
 
A system designer can control the access to the direct rendering functionality 
by limiting the access to the DRI device file located at: 
 
   /dev/dri/card0 
 
The permissions on this device are set by the X-Server using the information 
provided in the "DRI" section of the xorg.conf file.

Install:
--------

To install the IEGD libGL onto a system copy the libGL.so binary from the 
package to the standard location. Then compile and install the kernel 
module from the sources provided. Lastly, enable the DRI option in the 
X configuration file. 
 
    NOTE: The system likely has a version of libGL already installed. 
    You may want to make a backup copy of the existing library before 
    installing the IEGD library. 
 
 
    1) cd IEGD_x_x_Linux/Driver/Xorg-X11R6.8/ 
    2) cp libGL.so /usr/X11R6/lib/libGL.so.1.2 
    3) ldconfig 
    4) cd IEGD_Patches/Drm/ 
    5) make 
    6) Add the following option to the first IEGD device section in the 
       xorg.conf file. 
	 
       Option "DRI"  "Yes" 
 
    7) restart the X-Server or restart the system 
 
 
Patch Information 
================= 
 
Additional kernel patches are needed for the GART driver to support the 
Intel(R) Embedded Graphics X display driver.  
 
Patching instructions using Linux distributions with XFree86: 
 
To patch the Linux 2.4.2x and SuSE kernel with the GART changes:    
   1. cd into the kernel source directory (e.g. /usr/src/linux-2.x.xxx)    
   2. run 'patch -p1 < .../IEGD_Patches/Driver/agpgart.patch-2.x.xxx'    
 
To update the kernel:    
   1. cd to the kernel source directory (e.g. /usr/src/linux-2.x.xxx)    
   2. run 'make modules'    
   3. run 'make modules_install'    
 
Patching instructions for Fedora Core 2 
--------------------------------------- 
 
To patch a Linux 2.6.xxxx kernel with the GART changes for Fedora Core 2  
kernels: 
 
   1. cd into the kernel source directory (e.g. cd /usr/src/linux-2.6.5-1.358) 
   2. Execute the patch command as follows: 
 
      patch -p1 < .../IEGD_Patches/Driver/agpgart.patch-2.6.xxxx 
 
To update the kernel: 
 
   1. cd to the kernel source directory (e.g. cd /usr/src/linux-2.6.5-1.358) 
 
   2. Since the agpgart is built-in by default in Fedora Core 2, it needs to be    
      configured to install it as a module before updating the kernel. 
 
      make menuconfig 
 
      From the configuration menu, select Device Drivers, then Character  
      Devices. Scroll down to /dev/agpart. Change the disposition to M (for  
      Module). Exit from the configuration menu and save your changes. 
 
   3. Execute the make modules command: 
 
      make modules 
 
   4. Install the modules: 
 
      make modules_install 
 
   5. Build the kernel 
 
      make install 
 
   6. Run the following commands for the linux-2.6.xxxx kernel: 
 
      modprobe agpgart  
      modprobe intel-agp 
 
Also, to ensure the modules are loaded after a reboot, add the following line to  
the /etc/modprobe.conf file: 
 
alias char-major-10-175 intel-agp 
 
 
Software Errata    
================    
 
For information on Linux errata fixed in this release, including status and  
priority information, refer to the Errata document located at the following  
website: 
 
	www.intel.com/design/intarch/specupdt/309380.htm 
    
 
Software Licenses    
=================    
    
The Intel(R) Embedded Graphics Display Driver for Linux* is subject to the     
terms of the license agreement located in the LICENSE file in this distribution     
package.    
    
The kernel patches are subject to the terms of the GPL license    
agreement located in the COPYING file in the patches subdirectory of the     
distribution package.    
    
Other included software packages are subject to the terms included in each     
package.    
    
    
Legal / Disclaimers    
===================    
    
Copyright (C) 2006, Intel Corporation.  All rights reserved.    
    
Intel Corporation assumes no responsibility for errors or omissions in this     
document.  Nor does Intel make any commitment to update the information     
contained herein.    
    
* Other product and corporate names may be trademarks of other companies and    
are used only for explanation and to the owners' benefit, without intent to     
infringe.    
    
====================================================================== 
 
 
 
 
 
 
 
 

